<script setup lang="ts">
import type { BaseLink } from '@/types/base';
interface FullWidthHeroProps {
  title: string;
  primaryButton: BaseLink;
  image?: {
    altText: string;
    config: {
      src: string;
    };
  };
  config?: {
    theme?: string;
  };
  banner?: BaseLink;
}

defineProps<FullWidthHeroProps>();
</script>

<template>
  <div class="full-width-hero" :class="`full-width-hero--${config?.theme}`">
    <SlpContainer>
      <div class="full-width-hero__wrapper">
        <div class="full-width-hero__hero-text">
          <GitlabDuoButtonBanner v-if="banner?.text" v-bind="banner" />
          <img
            :src="image?.config.src"
            :alt="image?.altText"
            class="slp-mb-24 full-width-hero__logo-image"
            rel="preload"
          />
          <div>
            <SlpTypography variant="heading5" tag="h1" class="full-width-hero__title">{{ title }}</SlpTypography>
          </div>
          <div class="full-width-hero__buttons">
            <SlpButton
              :href="primaryButton.config.href"
              variant="primary"
              class="slp-mt-24"
              :data-ga-name="primaryButton.config.dataGaName"
              :data-ga-location="primaryButton.config.dataGaLocation"
              >{{ primaryButton.text }}
            </SlpButton>
          </div>
        </div>
      </div>
    </SlpContainer>
  </div>
</template>

<style lang="scss" scoped>
.full-width-hero {
  padding: $spacing-96 0;
  position: relative;
  z-index: 1;

  &__buttons {
    .slp-btn {
      border-color: $color-surface-50;
      @media (max-width: $breakpoint-sm) {
        width: 100%;
        justify-content: center;
      }
    }
  }
  &__wrapper {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    @media (min-width: $breakpoint-md) {
      flex-direction: row;
      align-items: center;
    }
    @media (min-width: $breakpoint-lg) {
      gap: 4%;
    }
  }
  &__hero-text {
    color: $color-text-50;
    margin-top: $spacing-32;
    text-align: center;

    @media (min-width: $breakpoint-md) {
      padding-top: 0;
    }
  }
  &__title {
    color: $color-surface-400;
    max-width: 600px;
    margin: auto;
  }

  &--dark {
    background-color: $color-primary-200;
  }
  &__logo-image {
    max-height: 46px;
  }
}
</style>
